import { RouteRecordRaw } from 'vue-router';

const routes: RouteRecordRaw[] = [
  {
    path: '/',
    component: () => import('src/layouts/MainLayout.vue'),
    children: [
      {
        name: 'index',
        path: '',
        component: () => import('pages/IndexPage.vue'),
        meta: {title: 'Сервис Бронирования'}
      },
      {
        name: 'settings',
        path: '/settings',
        component: () => import('pages/SettingsPage.vue'),
        meta: {title: 'Сервис Бронирования'}
      },
      {
        name: 'stands',
        path: '/stands',
        component: () => import('src/pages/StandsPage.vue'),
        meta: {title: 'Мои стенды'}
      },
      {
        name: 'stand',
        path: '/stands/:groupId/:standId',
        component: () => import('src/pages/StandPage.vue'),
      },
      {
        name: 'groups',
        path: '/groups',
        component: () => import('src/pages/GroupsPage.vue'),
        meta: {title: 'Мои группы'}
      },
      {
        name: 'group',
        path: '/groups/:groupId',
        component: () => import('src/pages/GroupPage.vue'),
      },
      {
        name: 'sessions',
        path: '/sessions',
        component: () => import('src/pages/SessionsPage.vue'),
        meta: {title: 'Мои сессии'}
      },
    ]
  },

  // Always leave this as last one,
  // but you can also remove it
  {
    path: '/:catchAll(.*)*',
    component: () => import('pages/GlobalError.vue'),
  },
];

export default routes;
